import { useQuery } from '@tanstack/react-query';

import { AuthService } from '@/client/services/AuthService';

export function useRsaPublicKey() {
  return useQuery({
    queryKey: ['auth', 'rsa'],
    queryFn: () => AuthService.authGetRsaPublicKey().then((r) => r.data),
    staleTime: 1000 * 60 * 5,
  });
}
